# Launcher for .NET Application

### Usage

```
dotnet-launcher [options...] [args...]
```

#### options

* --version  
   print version and exit.

* --standalone [assembly path]  
   Run assembly with the current user environment.

#### environment

* DOTNET_LAUNCHER_INJECT  
   A list of additional libraries to be loaded with `dlopen()` and call to
   `int dotnet_launcher_inject()` initialization hook. If hook returns non-zero
   status initialization will be failed. The items of the list can be separated
   by spaces or colons, and there is no support for escaping either separator.

----

### Anatomy

```
-----------------------------
|     Tizen.Runtime.dll     |
------------+---------------+
|           | libcoreclr.so |
|           +---------------+
|  CoreClr Native Launcher  |
+---------------------------+
|      Dotnet launcher      |
+---------------------------+

```
